Bug 469280 - Review Request: fedora-business-cards - A tool for rendering Fedora contributor business cards
Review Request: fedora-business-cards - A tool for rendering Fedora contribut...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Stanley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 21:51 EDT by Ian Weller
Modified: 2008-11-05 23:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-31 17:22:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jonstanley: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2008-10-30 21:51:15 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/fedora-business-cards/0.2.1-1/fedora-business-cards.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/fedora-business-cards/0.2.1-1/fedora-business-cards-0.2.1-1.fc9.src.rpm

Description:
fedora-business-cards is a tool written in Python to generate business cards
for Fedora Project contributors.
Comment 1 Jon Stanley 2008-10-30 22:37:41 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK- Sources match upstream md5sum:
ee675049982acdc520530020d2b75f0d  fedora-business-cards-0.2.1.tar.gz
ee675049982acdc520530020d2b75f0d  build/SOURCES/fedora-business-cards-0.2.1.tar.gz

N/A - Package needs ExcludeArch
OK - BuildRequires correct
N/A - Spec handles locales/find_lang
OK - Package is relocatable and has a reason to be.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
N/A - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.

N/A - Headers/static libs in -devel subpackage.
N/A - Spec has needed ldconfig in post and postun
N/A - .pc files in -devel subpackage/requires pkgconfig
N/A - .so files in -devel subpackage.
N/A - -devel package Requires: %{name} = %{version}-%{release}
N/A - .la files are removed.

N/A - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have sane scriptlets.
N/A - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version
N/A - check for outstanding bugs on package. (For core merge review

APPROVED
Comment 2 Ian Weller 2008-10-30 22:40:28 EDT
Thanks, Jon.

New Package CVS Request
=======================
Package Name: fedora-business-cards
Short Description: A tool for rendering Fedora contributor business cards
Owners: ianweller
Branches: F-9 F-10 devel
InitialCC:
Comment 3 Kevin Fenzi 2008-10-31 12:55:13 EDT
Please remember to assign to the reviewer. ;) 

cvs done.
Comment 4 Fedora Update System 2008-10-31 17:21:57 EDT
fedora-business-cards-0.2.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/fedora-business-cards-0.2.1-1.fc9
Comment 5 Fedora Update System 2008-11-05 23:05:30 EST
fedora-business-cards-0.2.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.